/* В магазине акция: «купи три одинаковых товара и заплати только за два». Конечно, каждый купленный товар может участвовать лишь в одной акции. Акцию можно использовать многократно.

Например, если будут куплены 7 товаров одного вида по цене 2 за штуку и 5 товаров другого вида по цене 3 за штуку, то вместо 7⋅2+5⋅3 надо будет оплатить 5⋅2+4⋅3=22.

Считая, что одинаковые цены имеют только одинаковые товары, найдите сумму к оплате.

Неполные решения этой задачи (например, недостаточно эффективные) могут быть оценены частичным баллом.

Входные данные
В первой строке записано целое число t (1≤t≤10^4) — количество наборов входных данных.

Далее записаны наборы входных данных. Каждый начинается строкой, которая содержит n (1≤n≤2⋅10^5) — количество купленных товаров.
 Следующая строка содержит их цены p1,p2,…,pn (1≤pi≤104). Если цены двух товаров одинаковые, то надо считать, что это один и тот товар.

Гарантируется, что сумма значений n по всем тестам не превосходит 2⋅10^5.

Выходные данные
Выведите t целых чисел — суммы к оплате для каждого из наборов входных данных.
*/
package main

import (
	"bufio"
	"fmt"
	"os"
)

func main() {

	in := bufio.NewReader(os.Stdin)
	out := bufio.NewWriter(os.Stdout)
	defer out.Flush()
	var t, n, p int //  t- наборы; n - кол.товаров; p - цены на товары

	fmt.Fscan(in, &t)

	for i := 0; i < t; i++ {

		fmt.Fscan(in, &n)           //количество купленных товаров
		amount := make(map[int]int) //цены на товары

		for k := 0; k < n; k++ {
			fmt.Fscan(in, &p)
			amount[p]++
		}

		fmt.Fprintln(out, sumnabor(amount))
	}

}

// считаем цену набора
func sumnabor(m map[int]int) int {
	var sum, temp int
	for key, value := range m {

		temp = key * value
		if value > 2 {
			z := value / 3
			temp = key * (value - z)
		} else {
			temp = key * value
		}
		sum += temp
	}
	return sum
}
